:root {
    --Fond-clair: #FFFFFF;
    --Fond-gris: #F0F0F0;
    --Fond-sombre: #444444;
    --Orange: #ED786A;
    --Orange-hover: #FD887A;
    --Rouge: #CC0000;
    --Gris-léger: #E5E5E5;
    --Blanc: #FFFFFF;
    --Gris-clair: #888888;
    --Gris-moyen: #777777;
    --Gris: #666666;
    --Gris-sombre: #3C3C3C;
    /* FONT */
    --LogoFont: 'Arvo', serif;
    --PageFont: 'Source Sans Pro', sans-serif;
    --Maj: uppercase;
}

body {
    background-color: var(--Fond-clair);
    font-family: var(--PageFont);
    position: relative;
}

h1, .h1,
h2, .h2,
h3, .h3,
h4, .h4,
h5, .h5,
h6, .h6 {
    display: block;
    text-align: center;
    text-transform: var(--Maj);
    font-weight: 400;
}

h1, .h1 {
    font-size: 26px;
    margin-bottom: 30px;
    color: var(--Gris-clair);
    letter-spacing: 3px;
    word-spacing: 2px;
}

h2, .h2 {
    font-size: 26px;
    margin-bottom: 30px;
    color: var(--Gris-clair);
    letter-spacing: 3px;
    word-spacing: 2px;
}

h3, .h3 {
    font-size: 18px;
    margin-bottom: 20px;
    font-weight: bold;
    color: var(--Gris-moyen);
    letter-spacing: 2px;
    word-spacing: 2px;
}

h4, .h4 {
    font-size: 26px;
    margin-bottom: 18px;
}

/* --------------------------------------------------------------------
    --------------- Framework (éléments réutilisables) ----------------
    ------------------------------------------------------------------- */
.container {
    max-width: 80%;
    text-align: center;
    margin-left: auto;
    margin-right: auto;
}

/* Link style */
a {
    text-decoration: underline;
    color: var(--Gris-moyen);
}

a:hover, a:focus {
    text-decoration: none;
    color: var(--Orange-hover);
}

/* Button disign */
.btnModel {
    color: var(--Blanc);
    background-color: var(--Orange);
    padding: 15px 20px;
    text-transform: uppercase;
    border-radius: 3px;
    font-weight: 700;
    border: none;
    letter-spacing: 1px;
    margin: 30px 0;
}

.btnModel i {
    opacity: 0.6;
}

.btnModel:hover {
    color: var(--Gris-léger);
    background-color: var(--Orange-hover);
    cursor: pointer;
    transition: 0.5s;
}

.btnModel:focus {
    background-color: var(--Orange-hover);
    color: var(--Gris-léger);
}

.btnModel i {
    margin: 0 10px 0 0;
}

/* Article style */
.articleCard {
    display: flex;
    flex-flow: column;
    align-items: center;
    padding-bottom: 50px;
}

.articleCard p {
    text-align: justify;
}

/* Split Line */
.twoBottomLine {
    width: 100%;
    height: 15px;
    border-top: 2px solid var(--Gris-léger);
    border-bottom: 2px solid var(--Gris-léger);
    display: block;
}

.oneBottomLine {
    width: 100%;
    border-top: 2px solid var(--Gris-léger);
    display: block;
}

/* img */
img {
    border: 8px solid var(--Gris-léger);
}

/* texte */
p {
    color: var(--Gris-clair);
}

strong {
    color: var(--Gris-sombre);
}


/* Style de la page */

/* ----------------------------------------------------------------
    -------------------------------- NAV ---------------------------
    ------------------------------------------------------------------- */
nav {
    background-color: var(--Fond-sombre);
    min-width: 250px;
    transform: translateX(-250px);
}

nav>ul>li>a>i.fas {
    display: none;
}

.main-menu-w.opened nav {
    display: block;
}

nav li {
    border-top: 1px solid rgba(255, 255, 255, .5);
}

nav a {
    background-color: transparent;
    color: var(--Blanc);
    display: block;
    padding: 15px;
    text-align: left;
    text-decoration: none;
    text-transform: uppercase;
}

nav a::after {
    content: none;
}

nav a:focus,
nav a:active {
    background-color: var(--Gris-moyen);
}

nav>ul>li>a {
    font-weight: 700;
}

nav>ul>li>ul>li>a {
    padding-left: 25px;
}

nav>ul>li>ul>li>ul>li>a {
    padding-left: 45px;
}

nav {
    position: absolute;
    z-index: 12;
}

.wrapOpenMenuBody {
    position: absolute;
    transform: translateX(0);
    transition: transform 1s;
    z-index: 11;
}

/* ---------------------------------
------ Classes à rajouter ----------
----- quand le bouton est cliqué ---
----------------------------------- */
.wrapOpenMenuBodyOn {
    transform: translateX(250px);
    overflow-x: hidden;
    height: 100vh;
    overflow-y: hidden;
}

.openBody {
    display: flex;
    overflow-x: hidden;
    transition: transform 1s;
}

.openNav {
    transform: translateX(0);
    transition: transform 1s;
    height: 100vh;
    position: fixed;
}

.error{
    color: var(--Rouge);
}

/* ----------------------------------------------------------------
    -------------------------------- HEADER ---------------------------
    ------------------------------------------------------------------- */
header {
    position: relative;
}

header>.container {
    min-height: 40vh;
    display: flex;
    flex-flow: column;
    justify-content: space-around;
}

/* --------------------------
------ Menu Burger ----------
----------------------------- */
.burgerMenu {
    border-radius: 3px;
    height: 54px;
    width: 70px;
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;
    border: none;
    box-shadow: 4px 4px 2px var(--Gris-léger);
    position: absolute;
    left: 15px;
    top: 10px;
}

.burgerMenu>span {
    height: 4px;
    width: 30px;
    background-color: var(--Gris-moyen);
    margin: 3px;
    transition: transform 500ms;
}

#btnMenuBurger span:nth-child(1) {
    transform: translateY(0) rotateZ(0);
}

#btnMenuBurger.oppen span:nth-child(1) {
    transform: translateY(10px) rotateZ(45deg);
}

#btnMenuBurger span:nth-child(2) {
    transform: rotateX(0);
}

#btnMenuBurger.oppen span:nth-child(2) {
    transform: rotateX(90deg)
}

#btnMenuBurger span:nth-child(3) {
    transform: translateY(0) rotateZ(0);
}

#btnMenuBurger.oppen span:nth-child(3) {
    transform: translateY(-10px) rotateZ(-45deg);
}

/* --------------------------
------ Header Content -------
----------------------------- */
#logo {
    font-family: var(--LogoFont);
    font-size: 48px;
    letter-spacing: 12px;
    color: var(--Orange);
    text-shadow: 3px 3px 1px var(--Gris-léger);
    padding: 30px 0;
}

.logoAndHeaderText p {
    text-transform: uppercase;
    font-size: 14px;
    letter-spacing: 2px;
    word-spacing: 3px;
    color: var(--Gris-clair);
}

/* ----------------------------------------------------------------
    -------------------------------- MAIN ---------------------------
    ------------------------------------------------------------------- */

/* --------------Première Section-------------- */
.lastArticles p {
    text-align: center;
}

/* ----------IMG entre les 2 sections---------- */
.bannerContainer {
    background: url(../ressources/img/banner.jpg) center center no-repeat;
    min-height: 30vh;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    min-height: 54vh;
}

.bannerContainer p {
    color: var(--Blanc);
    z-index: 10;
    font-size: 1.5rem;
    text-transform: var(--Maj);
    word-spacing: 3px;
    letter-spacing: 3px;
}

.bannerContainer strong {
    color: var(--Blanc);
}

/* --------------Deuxième Section-------------- */
.articleCard img {
    width: 100%;
}

/* --------------------------
------ "Post Section" -------
----------------------------- */
.PostArticleSection article {
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;
    padding: 30px 0;
}

.PostArticleSection p, .shopSection p {
    text-align: justify;
    margin: 0;
}

.articleDate {
    color: var(--Blanc);
    background-color: var(--Gris-moyen);
    width: fit-content;
    padding: 10px 15px;
    border-radius: 3px;
    text-transform: uppercase;
    font-size: 14px;
    margin: 15px 0;
}

/* ------------------------ 
------- Shop Section -------
---------------------------- */
.shopSection img {
    float: left;
    height: 100px;
    margin-right: 10px;
    margin-bottom: 20px;
}
.shopSection article{
    display: flex;
    flex-flow: column;
    align-items: center;
}
.shopSection article p{
    text-align: justify;
    margin: 0;
}

/* ----------------------------------------------------------------
    -------------------------------- FOOTER ---------------------------
    ------------------------------------------------------------------- */
footer {
    background-color: var(--Fond-gris);
    padding: 75px 0;
}

.footerTop {
    display: flex;
    flex-flow: column;
    align-items: center;
}

/* ------------------ 
------- form --------
--------------------- */
.footerTop form {
    display: flex;
    flex-flow: column;
    align-items: flex-start;
    text-align: left;
}

.inputNameEmail {
    display: flex;
    flex-flow: column;
    width: 100%;
}

.footerTop input, .footerTop textarea {
    border-radius: 3px;
    margin: 10px 0;
    padding: 10px;
    width: 100%;
    border: none;
    box-shadow: -3px -3px 1px var(--Gris-léger);
}

.containerTxtArea {
    width: 100%;
}
/* ------------------ 
------ adress -------
--------------------- */
.footerTop p {
    text-align: justify;
}

.flexAddressContent {
    display: flex;
    align-items: flex-start;
    margin: 15px 0;
}

.flexAddressContent a, .flexAddressContent p {
    padding: 5px 10px;
    margin: 0;
    text-align: left;
    color: var(--Gris-moyen);
}
.flexAddressContent a:hover{
    color: var(--Orange-hover);
}

.iconFooterDot {
    color: var(--Gris-moyen);
}

.iconFooter {
    color: var(--Blanc);
    background-color: var(--Gris-moyen);
    border-radius: 50px;
    padding: 6px;
    width: 31px;
}

/* ----------------------------------------------------------------
    -------------------------------- MODALE ---------------------------
    ------------------------------------------------------------------- */
.modale-container {
    height: 100vh;
    width: 100%;
    background-color: #000;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 50;
    overflow: hidden;
}
.flexModale{
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

.modale {
    display: flex;
    background-color: #fefefe;
    width: 70%;
    max-width: 540px;
    flex-flow: column;
    align-items: center;
    justify-content: center;
    padding: 20px;
    text-align: center;
}

.modale-text {
    color: #888;
    font-weight: 300;
}

.overflow-y {
    overflow-y: hidden;
}


/* ----------------------------------------------------------------
    -------------------------------- RESPONSIVE ---------------------------
    ------------------------------------------------------------------- */

/* Responsive Tablette */
@media (min-width: 767px) {

    /* Permière section */

    .articlesCardsContainer {
        display: flex;
    }

    .articlesCardsContainer .articleCard {
        width: calc(100%/3);
        margin-left: 10px;
        margin-right: 10px;
        padding: 0;
    }

    .articlesCardsContainer h3 {
        min-height: 60px;
        margin-top: 50px;
        margin-bottom: 0;
    }

    /* --- Deuxième Section --- */
    .flexSecondSection {
        display: flex;
    }

    .leftPartSecondSection {
        padding: 0 30px 0 0;
    }

    .leftPartSecondSection h2, .leftPartSecondSection h3 {
        text-align: left;
        letter-spacing: 1px;
        align-self: flex-start;
    }

    /* post section */
    .PostArticleSection article {
        align-items: flex-start;
    }

    .PostArticleSection article h3 {
        text-align: left;
        letter-spacing: 1px;
    }

    .PostArticleSection p, .shopSection p {
        text-align: justify;
    }

    /* shop section */
    .shopSection {
        display: flex;
        flex-flow: column;
    }

    .shopSection h3 {
        text-align: left;
    }

    .shopSection img {
        float: none;
        margin: 0;
        height: auto;
        align-self: flex-start;
    }

    /* ----------------------------------------------------------------
    -------------------------------- FOOTER ---------------------------
    ------------------------------------------------------------------- */
    .flexFooterTopContent {
        display: flex;
    }

    /* Form */
    .footerForm {
        width: 50%;
        padding-right: 20px;
    }

    .inputNameEmail {
        display: flex;
        flex-flow: row;
        justify-content: space-between;
    }
    .widthInput{
        width: 48%;
    }
    .inputNameEmail input {
        width: 100%;
    }

    /* Adress */
    .rightFooterTop {
        width: 50%;
    }

    .rightFooterTop p {
        margin: 0;
    }

    footer address {
        display: flex;
        flex-flow: row;
        justify-content: space-between;
    }

    footer address>div {
        min-width: 179px;
    }

    /* FooterBottom */
    .footerBottom {
        display: flex;
        flex-flow: row;
        align-items: center;
        justify-content: center;
    }

    .footerBottom p {
        border-right: 1px solid var(--Gris-moyen);
        margin-right: 15px;
        padding-right: 15px;
    }
}

@media (min-width: 992px) {
    /* menu et nav */
    #btnMenuBurger {
        display: none;
    }

    nav {
        background-color: var(--Blanc);
        transform: translateX(0);
        position: relative;
    }

    nav a {
        color: var(--Gris-clair);
        display: flex;
        align-items: center;
    }

    nav a i {
        display: block;
        background-color: var(--Gris-clair);
        color: var(--Blanc);
        padding-top: 6px;
        border-radius: 50px;
        width: 30px;
        height: 30px;
        text-align: center;
        margin-right: 10px;
    }

    nav a:hover i {
        background-color: var(--Orange-hover);
    }

    nav a:focus {
        background-color: var(--Blanc);
        color: var(--Orange-hover);
    }

    nav li:hover>a {
        color: var(--Orange-hover);
    }

    nav li:hover>a i {
        background-color: var(--Orange-hover);
    }

    nav>ul {
        display: flex;
        justify-content: center;
    }
 
    nav>ul>li>ul>li:first-child a:after {
        content: '';
        position: absolute;
        left: 25px;
        top: -9px;
        width: 13px;
        height: 13px;
        transform: rotate(45deg);
        border-left: 1px solid var(--Gris-sombre);
        border-top: 1px solid var(--Gris-sombre);
        background-color: rgba(255, 255, 255, 1);

    }

    nav>ul ul {
        display: none;
        position: absolute;
        background-color: rgba(255, 255, 255, 0.9);
        border: 1px solid var(--Fond-sombre);
        border-radius: 3px;
        z-index: 10;
    }

    nav>ul ul a {
        border-top: 1px solid var(--Gris-léger);
        text-align: left;
    }
    nav> ul li:first-child >a{
        border-top: none;
    }

    nav>ul ul ul {
        display: none;
        left: 100%;
        top: 0;
    }

    li:hover > ul {
        display: block;
    }

    li {
        border-top: 0;
        position: relative;
        white-space: nowrap;
    }

    nav>ul>li>a>i.fas {
        display: block;
    }
}
